<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Console Tricks!</title>
</head>
<body>

  <p onClick="makeGreen()">×BREAK×DOWN×</p>

  <script>
    const dogs = [{ name: 'Snickers', age: 2 }, { name: 'hugo', age: 8 }];

    function makeGreen() {
      const p = document.querySelector('p');
      p.style.color = '#BADA55';
      p.style.fontSize = '50px';
    }

    // Regular
    console.log("Hello world");

    // Interpolated
    console.log("Hello %s", "JP");

    // Styled
    // console.log("%c I am some great text", "font-size:50px; background:red; text-shadow: 10px 10px 0 blue;");

    // warning!
    console.warn('WARNING!');

    // Error :|
    console.error("ERROR!");

    // Info
    console.info("INFO.");

    // Testing
    console.assert(1 === 1, "Wrong!");

    // clearing
    console.clear();

    // Viewing DOM Elements
    const p = document.querySelector("p");
    console.log(p);
    console.dir(p);

    // Grouping together
    dogs.forEach(dog => {
      console.groupCollapsed(`${dog.name}`);
      console.log(`This is ${dog.name}`);
      console.log(`${dog.name} is ${dog.age} years old`)
      console.groupEnd();
    })

    // counting
    console.count("Wes");
    console.count("Wes");
    console.count("Steve");
    console.count("Wes");
    console.count("Wes");

    // timing
    console.time('fetching data');
    fetch('https://api.github.com/users/Nerus92')
      .then(data => data.json())
      .then(data => {
        console.timeEnd('fetching data');
        console.log(data);
      });

    console.table(dogs);

  </script>
</body>
</html>
